.\" $NetBSD: ustir.4,v 1.2 2002/01/04 01:23:26 wiz Exp $
.\"
.\" Copyright (c) 2001 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by David Sainty <David.Sainty@dtsp.co.nz>
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd December 24, 2001
.Dt USTIR 4
.Os
.Sh NAME
.Nm ustir
.Nd SigmaTel STIr4200-based USB-IrDA bridge support
.Sh SYNOPSIS
.Cd "ustir*   at uhub?"
.Cd "irframe* at ustir?"
.Sh DESCRIPTION
The
.Nm
driver provides support for USB-IrDA bridges based on the SigmaTel STIr4200.
The driver is known to work with the following adapters:
.Pp
.Bl -item -offset indent -compact
.It
.Tn Mars II 740 USB IrDA Adapter
.El
.Pp
Access to the IrDA device is through the
.Xr irframe 4
driver.
.Sh SEE ALSO
.Xr irframe 4 ,
.Xr uirda 4 ,
.Xr usb 4
.Sh HISTORY
The
.Nm
driver
appeared in
.Nx 1.6 .
.Sh AUTHORS
The
.Nm
driver was written by
.An David Sainty Aq David.Sainty@dtsp.co.nz .
.Sh BUGS
The STIr4200 cannot notify the driver when it has received data, instead it
has to be continuously polled.  This driver polls (when idle) at a fairly low
rate of 10 times per second, which means that system performance is not overly
affected by rapid polling, but latency is fairly high.
